<html>
<head>
<title>TestNG:  Default test</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Default test</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>0/0/11</td>
</tr><tr>
<td>Started on:</td><td>Tue Feb 13 13:41:58 IST 2024</td>
</tr>
<tr><td>Total time:</td><td>7 seconds (7324 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-failed'>
<tr><td colspan='4' align='center'><b>FAILED CONFIGURATIONS</b></td></tr>
<tr><td><b>Test method</b></td>
<td><b>Attribute(s)</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.webengage.api_automation.tests.DataCreationTest.initialize()'><b>initialize</b><br>Test class: com.webengage.api_automation.tests.DataCreationTest</td>
<td><div><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div><a href='#' onClick='toggleBox("stack-trace180078856", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace180078856'><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>6</td>
<td>com.webengage.api_automation.tests.DataCreationTest@4905c46b</td></tr>
</table><p>
<table width='100%' border='1' class='invocation-skipped'>
<tr><td colspan='4' align='center'><b>SKIPPED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td><b>Attribute(s)</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='com.webengage.api_automation.tests.DataCreationTest.push()'><b>push</b><br>Test class: com.webengage.api_automation.tests.DataCreationTest<br>Parameters: {RUNTIMEVALUE_API=CampaignId:Test Triggered Push Campaign exist- Android, RUNTIMEVALUE_BODY=SegmentId:Test Push Campaign Segment, createAudience={
  "title": "Test Triggered Push Campaign exist: Android",
  "sdks": [
    2
  ],
  "container": "TRIGGERED",
  "tags": [
    
  ],
  "segmentInclusionDto": {
    "segmentIds": [
      "{SegmentId}"
    ],
    "logicalOperator": "OR"
  },
  "appIds": {
    
  },
  "experimentMetaData": {
    "SEND_TO_ALL_ANDROID": true,
    "SEND_TO_ALL_IOS": false
  }
}, schedule={
  "trafficSegmentDto": {},
  "scheduler": null,
  "triggerSet": {
    "triggers": [
      {
        "name": "Order Placed",
        "category": "application",
        "type": "EVENT",
        "timeDifference": "+1h",
        "timeAttribute": {
          "name": "event_time",
          "category": "system"
        },
        "filters": null
      }
    ]
  },
  "oneTime": false,
  "queueMessage": true,
  "ttl": 86400,
  "applyFrequencyCapping": true,
  "incrementFrequencyCappingCount": true,
  "applyDnd": true,
  "startDate": 1643639400000,
  "endDate": null
}, createVariation=[
  {
    "layoutEId": "~20cc49c5",
    "title": "Triggered",
    "message": "Triggered Push: Android",
    "sampling": 100,
    "androidDetails": {
      "expandableDetails": {
        "image": "https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg"
      }
    }
  }
], SAVEVALUE=Test Triggered Push Campaign exist- Android:response.data.id}</td>
<td><div><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div><a href='#' onClick='toggleBox("stack-trace836498875", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace836498875'><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>com.webengage.api_automation.tests.DataCreationTest@4905c46b</td></tr>
<tr>
<td title='com.webengage.api_automation.tests.DataCreationTest.push()'><b>push</b><br>Test class: com.webengage.api_automation.tests.DataCreationTest<br>Parameters: {RUNTIMEVALUE_API=CampaignId:Test Transactional Push Campaign exist, RUNTIMEVALUE_BODY=-, createAudience={
  "title": "Test Transactional Push Campaign exist",
  "sdks": [
    2,
    3
  ],
  "container": "TRANSACTION",
  "tags": [],
  "appIds": {},
  "experimentMetaData": {
    "SEND_TO_ALL_ANDROID": true,
    "SEND_TO_ALL_IOS": true
  }
}, schedule=-, createVariation=[
  {
    "layoutEId": "6ic379i",
    "androidDetails": {
      "expandableDetails": {
        "ratingScale": 5,
        "content": {
          "bckColor": "#F6F4F4",
          "textColor": "#0F0F0F",
          "submitBtnText": "Submit",
          "title": "Rating",
          "message": "Rate me"
        },
        "style": "RATING_V1",
        "image": null
      },
      "cta": {
        "actionLink": "https://www.youtube.com",
        "type": "EXTERNAL_URL",
        "isPrime": true
      }
    },
    "sampling": 100,
    "iosDetails": {
      "expandableDetails": {
        "ratingScale": 5,
        "content": {
          "bckColor": "#F6F4F4",
          "textColor": "#0F0F0F",
          "title": "Rating",
          "message": "Rate me"
        },
        "style": "RATING_V1",
        "image": null
      },
      "cta": {
        "actionLink": "https://www.youtube.com",
        "type": "EXTERNAL_URL",
        "isPrime": true
      }
    },
    "title": "Transactional",
    "message": "Transactional Push"
  }
], SAVEVALUE=Test Transactional Push Campaign exist:response.data.id}</td>
<td><div><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div><a href='#' onClick='toggleBox("stack-trace1216926186", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace1216926186'><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>com.webengage.api_automation.tests.DataCreationTest@4905c46b</td></tr>
<tr>
<td title='com.webengage.api_automation.tests.DataCreationTest.push()'><b>push</b><br>Test class: com.webengage.api_automation.tests.DataCreationTest<br>Parameters: {RUNTIMEVALUE_API=CampaignId:Push Campaign- Tag, RUNTIMEVALUE_BODY=SegmentId:Test Push Campaign Segment, createAudience={
  "title": "Push Campaign: Tag",
  "sdks": [
    2,
    3
  ],
  "container": "RECURRING",
  "tags": [
    "campaigntag"
  ],
  "segmentInclusionDto": {
    "segmentIds": [
      "{SegmentId}"
    ],
    "logicalOperator": "OR"
  },
  "appIds": {},
  "experimentMetaData": {
    "SEND_TO_ALL_ANDROID": true,
    "SEND_TO_ALL_IOS": true
  }
}, schedule={
  "trafficSegmentDto": {},
  "scheduler": {
    "schedule": "RRULE",
    "timezone": "null",
    "time": "21:15",
    "recurringRule": "RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO"
  },
  "triggerSet": null,
  "oneTime": false,
  "queueMessage": true,
  "ttl": 86400,
  "applyFrequencyCapping": true,
  "incrementFrequencyCappingCount": true,
  "applyDnd": true,
  "startDate": 1643816700000,
  "endDate": null
}, createVariation=[
  {
    "layoutEId": "2341ifc5",
    "title": "TextTag",
    "message": "MessageTag",
    "sampling": 100,
    "androidDetails": {
      "expandableDetails": {}
    },
    "iosDetails": {
      "expandableDetails": {}
    }
  }
], SAVEVALUE=Push Campaign- Tag:response.data.id}</td>
<td><div><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div><a href='#' onClick='toggleBox("stack-trace596848689", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace596848689'><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>com.webengage.api_automation.tests.DataCreationTest@4905c46b</td></tr>
<tr>
<td title='com.webengage.api_automation.tests.DataCreationTest.push()'><b>push</b><br>Test class: com.webengage.api_automation.tests.DataCreationTest<br>Parameters: {RUNTIMEVALUE_API=CampaignId:Test Recurring Push Campaign exist- Android, RUNTIMEVALUE_BODY=SegmentId:Test Push Campaign Segment, createAudience={
  "title": "Test Recurring Push Campaign exist: Android",
  "sdks": [
    2
  ],
  "container": "RECURRING",
  "tags": [
    
  ],
  "segmentInclusionDto": {
    "segmentIds": [
      "{SegmentId}"
    ],
    "logicalOperator": "OR"
  },
  "appIds": {
    
  },
  "experimentMetaData": {
    "SEND_TO_ALL_ANDROID": true,
    "SEND_TO_ALL_IOS": false
  }
}, schedule={
  "trafficSegmentDto": {},
  "scheduler": {
    "schedule": "RRULE",
    "timezone": "null",
    "time": "21:15",
    "recurringRule": "RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO"
  },
  "triggerSet": null,
  "oneTime": false,
  "queueMessage": true,
  "ttl": 86400,
  "applyFrequencyCapping": true,
  "incrementFrequencyCappingCount": true,
  "applyDnd": true,
  "startDate": 1643816700000,
  "endDate": null
}, createVariation=[
  {
    "layoutEId": "~184fc0b9",
    "title": "Recurring",
    "message": "Recurring Push: Android",
    "sampling": 100,
    "androidDetails": {
      "expandableDetails": {
        "items": [
          {
            "image": "https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg",
            "actionText": "1",
            "actionLink": "https://www.youtube.com",
            "type": "EXTERNAL_URL"
          },
          {
            "image": "https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg",
            "actionText": "2",
            "actionLink": "https://www.zomato.com",
            "type": "EXTERNAL_URL"
          }
        ],
        "mode": "landscape"
      }
    }
  }
], SAVEVALUE=Test Recurring Push Campaign exist- Android:response.data.id}</td>
<td><div><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div><a href='#' onClick='toggleBox("stack-trace1939178534", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace1939178534'><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>com.webengage.api_automation.tests.DataCreationTest@4905c46b</td></tr>
<tr>
<td title='com.webengage.api_automation.tests.DataCreationTest.push()'><b>push</b><br>Test class: com.webengage.api_automation.tests.DataCreationTest<br>Parameters: {RUNTIMEVALUE_API=CampaignId:Test One-time Push Campaign exist- ios, RUNTIMEVALUE_BODY=SegmentId:Test Push Campaign Segment, createAudience={
  "title": "Test One-time Push Campaign exist: ios",
  "sdks": [
    3
  ],
  "container": "ONETIME",
  "tags": [
    
  ],
  "segmentInclusionDto": {
    "segmentIds": [
      "{SegmentId}"
    ],
    "logicalOperator": "OR"
  },
  "appIds": {
    
  },
  "experimentMetaData": {
    "SEND_TO_ALL_ANDROID": false,
    "SEND_TO_ALL_IOS": true
  }
}, schedule={
  "trafficSegmentDto": {},
  "scheduler": {
    "sendNow": true,
    "sendInTz": "ACCOUNT"
  },
  "triggerSet": null,
  "oneTime": true,
  "queueMessage": true,
  "ttl": 86400,
  "applyFrequencyCapping": true,
  "incrementFrequencyCappingCount": true,
  "applyDnd": true,
  "startDate": null,
  "endDate": null
}, createVariation=[
  {
    "layoutEId": "2341ifc5",
    "title": "Test One-time Push Campaign exist: iOS",
    "message": "Test One-time Push Campaign exist: iOS",
    "sampling": 100,
    "iosDetails": {
      "expandableDetails": {
        
      }
    }
  }
], SAVEVALUE=Test One-time Push Campaign exist- ios:response.data.id}</td>
<td><div><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div><a href='#' onClick='toggleBox("stack-trace1071243292", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace1071243292'><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>com.webengage.api_automation.tests.DataCreationTest@4905c46b</td></tr>
<tr>
<td title='com.webengage.api_automation.tests.DataCreationTest.push()'><b>push</b><br>Test class: com.webengage.api_automation.tests.DataCreationTest<br>Parameters: {RUNTIMEVALUE_API=CampaignId:Test Recurring Push Campaign exist- ios, RUNTIMEVALUE_BODY=SegmentId:Test Push Campaign Segment, createAudience={
  "title": "Test Recurring Push Campaign exist: ios",
  "sdks": [
    3
  ],
  "container": "RECURRING",
  "tags": [],
  "segmentInclusionDto": {
    "segmentIds": [
      "{SegmentId}"
    ],
    "logicalOperator": "OR"
  },
  "appIds": {},
  "experimentMetaData": {
    "SEND_TO_ALL_ANDROID": false,
    "SEND_TO_ALL_IOS": true
  }
}, schedule={
  "trafficSegmentDto": {},
  "scheduler": {
    "schedule": "RRULE",
    "timezone": "null",
    "time": "21:15",
    "recurringRule": "RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO"
  },
  "triggerSet": null,
  "oneTime": false,
  "queueMessage": true,
  "ttl": 86400,
  "applyFrequencyCapping": true,
  "incrementFrequencyCappingCount": true,
  "applyDnd": true,
  "startDate": 1643816700000,
  "endDate": null
}, createVariation=[
  {
    "layoutEId": "~184fc0b9",
    "title": "Recurring",
    "message": "Recurring Push: iOS",
    "sampling": 100,
    "iosDetails": {
      "expandableDetails": {
        "items": [
          {
            "image": "https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg",
            "actionText": "1",
            "actionLink": "https://www.youtube.com",
            "type": "EXTERNAL_URL"
          },
          {
            "image": "https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg",
            "actionText": "2",
            "actionLink": "https://www.zomato.com",
            "type": "EXTERNAL_URL"
          }
        ],
        "mode": "landscape"
      }
    }
  }
], SAVEVALUE=Test Recurring Push Campaign exist- ios:response.data.id}</td>
<td><div><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div><a href='#' onClick='toggleBox("stack-trace561711442", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace561711442'><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>com.webengage.api_automation.tests.DataCreationTest@4905c46b</td></tr>
<tr>
<td title='com.webengage.api_automation.tests.DataCreationTest.push()'><b>push</b><br>Test class: com.webengage.api_automation.tests.DataCreationTest<br>Parameters: {RUNTIMEVALUE_API=CampaignId:Test Recurring Push Campaign exist- iOS and Android, RUNTIMEVALUE_BODY=SegmentId:Test Push Campaign Segment, createAudience={
  "title": "Test Recurring Push Campaign exist: iOS and Android",
  "sdks": [
    2,
    3
  ],
  "container": "RECURRING",
  "tags": [
    
  ],
  "segmentInclusionDto": {
    "segmentIds": [
      "{SegmentId}"
    ],
    "logicalOperator": "OR"
  },
  "appIds": {
    
  },
  "experimentMetaData": {
    "SEND_TO_ALL_ANDROID": true,
    "SEND_TO_ALL_IOS": true
  }
}, schedule={
  "trafficSegmentDto": {},
  "scheduler": {
    "schedule": "RRULE",
    "timezone": "null",
    "time": "21:15",
    "recurringRule": "RRULE:FREQ=WEEKLY;INTERVAL=1;BYDAY=MO"
  },
  "triggerSet": null,
  "oneTime": false,
  "queueMessage": true,
  "ttl": 86400,
  "applyFrequencyCapping": true,
  "incrementFrequencyCappingCount": true,
  "applyDnd": true,
  "startDate": 1643816700000,
  "endDate": null
}, createVariation=[
  {
    "layoutEId": "~184fc0b9",
    "title": "Recurring",
    "message": "Recurring Push: Android and iOS",
    "sampling": 100,
    "androidDetails": {
      "expandableDetails": {
        "items": [
          {
            "image": "https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg",
            "actionText": "1",
            "actionLink": "https://www.youtube.com",
            "type": "EXTERNAL_URL"
          },
          {
            "image": "https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg",
            "actionText": "2",
            "actionLink": "https://www.zomato.com",
            "type": "EXTERNAL_URL"
          }
        ],
        "mode": "landscape"
      }
    },
    "iosDetails": {
      "expandableDetails": {
        "items": [
          {
            "image": "https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg",
            "actionText": "1",
            "actionLink": "https://www.youtube.com",
            "type": "EXTERNAL_URL"
          },
          {
            "image": "https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg",
            "actionText": "2",
            "actionLink": "https://www.zomato.com",
            "type": "EXTERNAL_URL"
          }
        ],
        "mode": "landscape"
      }
    }
  }
], SAVEVALUE=Test Recurring Push Campaign exist- iOS and Android:response.data.id}</td>
<td><div><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div><a href='#' onClick='toggleBox("stack-trace521786403", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace521786403'><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>com.webengage.api_automation.tests.DataCreationTest@4905c46b</td></tr>
<tr>
<td title='com.webengage.api_automation.tests.DataCreationTest.push()'><b>push</b><br>Test class: com.webengage.api_automation.tests.DataCreationTest<br>Parameters: {RUNTIMEVALUE_API=CampaignId:Test One-time Push Campaign exist- iOS and Android, RUNTIMEVALUE_BODY=SegmentId:Test Push Campaign Segment, createAudience={
  "title": "Test One-time Push Campaign exist: iOS and Android",
  "sdks": [
    2,
    3
  ],
  "container": "ONETIME",
  "tags": [],
  "segmentInclusionDto": {
    "segmentIds": [
      "{SegmentId}"
    ],
    "logicalOperator": "OR"
  },
  "appIds": {},
  "experimentMetaData": {
    "SEND_TO_ALL_ANDROID": true,
    "SEND_TO_ALL_IOS": true
  }
}, schedule={
  "trafficSegmentDto": {},
  "scheduler": {
    "sendNow": true,
    "sendInTz": "ACCOUNT"
  },
  "triggerSet": null,
  "oneTime": true,
  "queueMessage": true,
  "ttl": 86400,
  "applyFrequencyCapping": true,
  "incrementFrequencyCappingCount": true,
  "applyDnd": true,
  "startDate": null,
  "endDate": null
}, createVariation=[
  {
    "layoutEId": "2341ifc5",
    "title": "One-Time",
    "message": "One-Time Push Android and iOS",
    "sampling": 100,
    "androidDetails": {
      "expandableDetails": {}
    },
    "iosDetails": {
      "expandableDetails": {}
    }
  }
], SAVEVALUE=Test One-time Push Campaign exist- iOS and Android: response.data.id}</td>
<td><div><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div><a href='#' onClick='toggleBox("stack-trace1369116416", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace1369116416'><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>com.webengage.api_automation.tests.DataCreationTest@4905c46b</td></tr>
<tr>
<td title='com.webengage.api_automation.tests.DataCreationTest.push()'><b>push</b><br>Test class: com.webengage.api_automation.tests.DataCreationTest<br>Parameters: {RUNTIMEVALUE_API=CampaignId:Test One-time Push Campaign exist- Android, RUNTIMEVALUE_BODY=SegmentId:Test Push Campaign Segment, createAudience={
  "title": "Test One-time Push Campaign exist: Android",
  "sdks": [
    2
  ],
  "container": "ONETIME",
  "tags": [
    
  ],
  "segmentInclusionDto": {
    "segmentIds": [
      "{SegmentId}"
    ],
    "logicalOperator": "OR"
  },
  "appIds": {
    
  },
  "experimentMetaData": {
    "SEND_TO_ALL_ANDROID": true,
    "SEND_TO_ALL_IOS": false
  }
}, schedule={
  "trafficSegmentDto": {},
  "scheduler": {
    "sendNow": true,
    "sendInTz": "ACCOUNT"
  },
  "triggerSet": null,
  "oneTime": true,
  "queueMessage": true,
  "ttl": 86400,
  "applyFrequencyCapping": true,
  "incrementFrequencyCappingCount": true,
  "applyDnd": true,
  "startDate": null,
  "endDate": null
}, createVariation=[
  {
    "layoutEId": "2341ifc5",
    "title": "One-Time",
    "message": "One-Time Push Android",
    "sampling": 100,
    "androidDetails": {
      "expandableDetails": {
        
      }
    }
  }
], SAVEVALUE=Test One-time Push Campaign exist- Android:response.data.id}</td>
<td><div><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div><a href='#' onClick='toggleBox("stack-trace909315048", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace909315048'><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>com.webengage.api_automation.tests.DataCreationTest@4905c46b</td></tr>
<tr>
<td title='com.webengage.api_automation.tests.DataCreationTest.push()'><b>push</b><br>Test class: com.webengage.api_automation.tests.DataCreationTest<br>Parameters: {RUNTIMEVALUE_API=CampaignId:Test Triggered Push Campaign exist- ios, RUNTIMEVALUE_BODY=SegmentId:Test Push Campaign Segment, createAudience={
  "title": "Test Triggered Push Campaign exist: ios",
  "sdks": [
    3
  ],
  "container": "TRIGGERED",
  "tags": [
    
  ],
  "segmentInclusionDto": {
    "segmentIds": [
      "{SegmentId}"
    ],
    "logicalOperator": "OR"
  },
  "appIds": {
    
  },
  "experimentMetaData": {
    "SEND_TO_ALL_ANDROID": false,
    "SEND_TO_ALL_IOS": true
  }
}, schedule={
  "trafficSegmentDto": {},
  "scheduler": null,
  "triggerSet": {
    "triggers": [
      {
        "name": "Order Placed",
        "category": "application",
        "type": "EVENT",
        "timeDifference": "+1h",
        "timeAttribute": {
          "name": "event_time",
          "category": "system"
        },
        "filters": null
      }
    ]
  },
  "oneTime": false,
  "queueMessage": true,
  "ttl": 86400,
  "applyFrequencyCapping": true,
  "incrementFrequencyCappingCount": true,
  "applyDnd": true,
  "startDate": 1643639400000,
  "endDate": null
}, createVariation=[
  {
    "layoutEId": "~20cc49c5",
    "title": "Triggered",
    "message": "Triggered Push: iOS",
    "sampling": 100,
    "iosDetails": {
      "expandableDetails": {
        "image": "https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg"
      }
    }
  }
], SAVEVALUE=Test Triggered Push Campaign exist- ios:response.data.id}</td>
<td><div><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div><a href='#' onClick='toggleBox("stack-trace1106392217", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace1106392217'><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>com.webengage.api_automation.tests.DataCreationTest@4905c46b</td></tr>
<tr>
<td title='com.webengage.api_automation.tests.DataCreationTest.push()'><b>push</b><br>Test class: com.webengage.api_automation.tests.DataCreationTest<br>Parameters: {RUNTIMEVALUE_API=CampaignId:Test Triggered Push Campaign exist- iOS and Android, RUNTIMEVALUE_BODY=SegmentId:Test Push Campaign Segment, createAudience={
  "title": "Test Triggered Push Campaign exist: iOS and Android",
  "sdks": [
    2,
    3
  ],
  "container": "TRIGGERED",
  "tags": [
    
  ],
  "segmentInclusionDto": {
    "segmentIds": [
      "{SegmentId}"
    ],
    "logicalOperator": "OR"
  },
  "appIds": {
    
  },
  "experimentMetaData": {
    "SEND_TO_ALL_ANDROID": true,
    "SEND_TO_ALL_IOS": true
  }
}, schedule={
  "trafficSegmentDto": {},
  "scheduler": null,
  "triggerSet": {
    "triggers": [
      {
        "name": "Order Placed",
        "category": "application",
        "type": "EVENT",
        "timeDifference": "+1h",
        "timeAttribute": {
          "name": "event_time",
          "category": "system"
        },
        "filters": null
      }
    ]
  },
  "oneTime": false,
  "queueMessage": true,
  "ttl": 86400,
  "applyFrequencyCapping": true,
  "incrementFrequencyCappingCount": true,
  "applyDnd": true,
  "startDate": 1643639400000,
  "endDate": null
}, createVariation=[
  {
    "layoutEId": "~20cc49c5",
    "title": "Triggered",
    "message": "Triggered Push: iOS and Android",
    "sampling": 100,
    "androidDetails": {
      "expandableDetails": {
        "image": "https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg"
      }
    },
    "iosDetails": {
      "expandableDetails": {
        "image": "https://cdn.pixabay.com/photo/2021/08/25/20/42/field-6574455__480.jpg"
      }
    }
  }
], SAVEVALUE=Test Triggered Push Campaign exist- iOS and Android:response.data.id}</td>
<td><div><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div><a href='#' onClick='toggleBox("stack-trace951749445", this, "Click to show all stack frames", "Click to hide stack frames")'>Click to show all stack frames</a>
<div class='stack-trace' id='stack-trace951749445'><pre>java.lang.AssertionError: Expected Status code: 200 or 201. Actual Status code: 502.
	at org.junit.Assert.fail(Assert.java:89)
	at org.junit.Assert.assertTrue(Assert.java:42)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.verifyStatusCode(APIUtility.java:206)
	at com.webengage.automation_core.apiCoreSetup.APIUtility.getRequest(APIUtility.java:128)
	at com.webengage.api_automation.utilities.ApiOperationUtility.getMethod(ApiOperationUtility.java:77)
	at com.webengage.api_automation.utilities.TestDataUtility.fetchExclusionListId(TestDataUtility.java:262)
	at com.webengage.api_automation.utilities.TestDataUtility.deleteExclusionListFromDB(TestDataUtility.java:318)
	at com.webengage.api_automation.tests.DataCreationTest.initialize(DataCreationTest.java:65)
	at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
	at java.base/java.lang.reflect.Method.invoke(Method.java:578)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:139)
	at org.testng.internal.invokers.MethodInvocationHelper.invokeMethodConsideringTimeout(MethodInvocationHelper.java:69)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurationMethod(ConfigInvoker.java:361)
	at org.testng.internal.invokers.ConfigInvoker.invokeConfigurations(ConfigInvoker.java:296)
	at org.testng.TestRunner.invokeTestConfigurations(TestRunner.java:644)
	at org.testng.TestRunner.beforeRun(TestRunner.java:633)
	at org.testng.TestRunner.run(TestRunner.java:595)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:437)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:431)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:391)
	at org.testng.SuiteRunner.run(SuiteRunner.java:330)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:52)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:95)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1256)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1176)
	at org.testng.TestNG.runSuites(TestNG.java:1099)
	at org.testng.TestNG.run(TestNG.java:1067)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</pre></div></td>
<td>0</td>
<td>com.webengage.api_automation.tests.DataCreationTest@4905c46b</td></tr>
</table><p>
</body>
</html>